
function GiveUnits(teammate)
    -- Give selected units to the ally in postion "teammate"
    LOG("GiveUnits() called")
    
    local panic = (teammate == 7)
    local i = 1
    local teammateCount = 0
    for index, playerInfo in GetArmiesTable().armiesTable do
        if ((playerInfo.civilian) or (index == GetFocusArmy()) or (playerInfo.outOfGame) or (not playerInfo.human))  then continue end
        if IsAlly(GetFocusArmy(), index) then
            teammateCount = teammateCount + 1
            if ((teammateCount == teammate) or (panic)) then
                if panic then
                    UISelectionByCategory("ALLUNITS", false, false, false, false)
                end
                SimCallback({Func="GiveUnitsToPlayer", Args={ From=GetFocusArmy(), To=index},} , true)
                break
            end
        end
        i = i + 1
    end
end


function Init()
    LOG("In init of OneKeyUnitDonation")

	local newSelectionsMap = {    
	}
	IN_AddKeyMapTable(newSelectionsMap)

    local replacementMap = {
    ['Ctrl-F1']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(1)'}, 
    ['Ctrl-F2']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(2)'}, 
    ['Ctrl-F3']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(3)'}, 
    ['Ctrl-F4']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(4)'}, 
    ['Ctrl-F5']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(5)'}, 
    ['Ctrl-F6']          = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(6)'}, 
    ['Ctrl-P']           = {action =	 'UI_Lua import("/mods/onekeyunitdonation/onekeyunitdonation.lua").GiveUnits(7)'}, 
    }

    IN_AddKeyMapTable(replacementMap)
end
